Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.ejbql.parser
Class EJBQLLessThan

    java.lang.Object
      org.apache.cayenne.ejbql.parser.SimpleNode
          org.apache.cayenne.ejbql.parser.EJBQLLessThan

All Implemented Interfaces:
  Serializable, EJBQLExpression, Node

    public class EJBQLLessThan

extends SimpleNode

Since:
  3.0
See Also:
  Serialized Form

Constructor Summary
`EJBQLLessThan(int id)`

Method Summary
`protected boolean` | `visitChild(EJBQLExpressionVisitor visitor, int childIndex)` Recursively visits a child at the specified index.
`protected boolean` | `visitNode(EJBQLExpressionVisitor visitor)` Visits this node without recursion.

Methods inherited from class org.apache.cayenne.ejbql.parser.SimpleNode
`getChild, getChildrenCount, getName, getText, isNegated, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setText, toString, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EJBQLLessThan

    public EJBQLLessThan(int id)

Method Detail

### visitNode

    protected boolean visitNode(EJBQLExpressionVisitor visitor)

  Description copied from class: `SimpleNode`
  Visits this node without recursion. Default implementation simply returns true. Subclasses override this method to call an appropriate visitor method.

  Overrides:
    `visitNode` in class `SimpleNode`

### visitChild

    protected boolean visitChild(EJBQLExpressionVisitor visitor,
                                 int childIndex)

  Description copied from class: `SimpleNode`
  Recursively visits a child at the specified index. Subclasses override this method if they desire to implement callbacks after visiting each child.

  Overrides:
    `visitChild` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001–2014 Apache Cayenne. All rights reserved.